[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVChangeEvent

Event handler signalled when a property value for a list view item is changed.

## Declaration

Source position: comctrls.pp line 1293

`type TLVChangeEvent = procedure(`
`Sender: TObject;`
`Item: TListItem;`
`Change: TItemChange`
`) of object;`

## Arguments

`Sender` |  | Object instance (TCustomListView) for the notification.
`Item` |  | List item for the notification.
`Change` |  | Indicates the property value that was changed in Item.

## Description

TLVChangeEvent is an object procedure which specifies an event handler signalled when a property value for a list view item is changed. Arguments passed to the method identify the list view control, the list view item, and the specific property for the event notification.

TLVChangeEvent is the type used for the OnChange property in TCustomListView.

## Version info

Added in LCL version 4.0.

## See also

TItemChange |  | TItemChange - enumerated type for kind of change: in text, in image, or in state.
TCustomListView.OnChange |  | Event handler signalled when the content for a list item is changed.